Compute Cloud API, REST: Instance.AttachFilesystem
Attaches the filesystem to the instance.
The instance and the filesystem must reside in the same availability zone.
To use the instance with an attached filesystem, the latter must be mounted.
For details, see documentation.
HTTP request
POST https://compute.api.cloud.yandex.net/compute/v1/instances/{instanceId}:attachFilesystem
Path parameters
|
Field |
Description |
|
instanceId |
string Required field. ID of the instance to attach the filesystem to. |
Body parameters
{
"attachedFilesystemSpec": {
"mode": "string",
"deviceName": "string",
"filesystemId": "string"
}
}
|
Field |
Description |
|
attachedFilesystemSpec |
Filesystem to attach to the instance. |
AttachedFilesystemSpec
|
Field |
Description |
|
mode |
enum (Mode) Mode of access to the filesystem that should be attached.
|
|
deviceName |
string Name of the device representing the filesystem on the instance. |
|
filesystemId |
string ID of the filesystem that should be attached. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |